Subject: aliasing feature request

From: Jeremy Kister <[email-masked]>
Date: Tue, 19 Feb 2008 11:11:26 -0500

assuming you have Parent[12] in override, and you have:
  Group "Alias" {
    gravity: up
    Alias "alias1" "Top:Group:Parent1:Child"
    Alias "alias2" "Top:Group:Parent2:Child"
  }

I want Alias to stay up (or switch to override) if Alias's children's 
objects parent's are in override.

in the above case, I want Alias to stay up (or switch to override), even 
when Top:Group:Group:Parent[12]:Child is down /if/:
  Top is in override
  Top:Group is in override
  Top:Group:Parent[12] is in override
  Top:Group:Parent[12]:Child is in override

Separately, if Top:Group:Parent is in override, and you had
  Group "Alias" {
    Alias "alias1" "Top:Group:Parent:Child1"
    Alias "alias2" "Top:Group:Parent:Child2"
  }
and Child1 is down, I wouldnt want Top:Alias:alias1 to show as down in 
arguscgi -- I'd expect the children to also be in override because the 
parent is overriden.

-- 

Jeremy Kister
http://jeremy.kister.net./